Distributions
PUT /sequences/{sequenceId}
Update a sequence
PUT
/
sequences
/
{sequenceId}
cURL
curl --request PUT \
--url https://admin.fanfare.io/api/sequences/{sequenceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessCode": "<string>",
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"color": "<string>",
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"priority": 123
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessCode: '<string>',
audienceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
color: '<string>',
experienceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
priority: 123
})
};
fetch('https://admin.fanfare.io/api/sequences/{sequenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/sequences/{sequenceId}"
payload = {
"accessCode": "<string>",
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"color": "<string>",
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"priority": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/sequences/{sequenceId}"
payload := strings.NewReader("{\n \"accessCode\": \"<string>\",\n \"audienceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"color\": \"<string>\",\n \"experienceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"priority\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"archived": true,
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": 123,
"accessCode": "<string>",
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productSelectionMode": "USER_SELECTED",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Fanfare secret key. Keep secret credentials on your server.
Path Parameters
Body
application/json
Response
Sequence updated successfully
Minimum string length:
1Minimum string length:
1Available options:
USER_SELECTED, SYSTEM_ASSIGNED ⌘I
cURL
curl --request PUT \
--url https://admin.fanfare.io/api/sequences/{sequenceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessCode": "<string>",
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"color": "<string>",
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"priority": 123
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessCode: '<string>',
audienceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
color: '<string>',
experienceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
priority: 123
})
};
fetch('https://admin.fanfare.io/api/sequences/{sequenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/sequences/{sequenceId}"
payload = {
"accessCode": "<string>",
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"color": "<string>",
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"priority": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/sequences/{sequenceId}"
payload := strings.NewReader("{\n \"accessCode\": \"<string>\",\n \"audienceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"color\": \"<string>\",\n \"experienceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"priority\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"archived": true,
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": 123,
"accessCode": "<string>",
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productSelectionMode": "USER_SELECTED",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}